#!/bin/bash

# Channel     VID   AID                                 PID   TID

maxcon="5"
myip="192.168.0.1"
if [ -z "$1" ]
then
	selcrd="0"
else
	selcrd="$1"
fi
let "epgport = selcrd + 4000"
let "timport = epgport + 100"
echo "Trying to run unicast stream from ${selcrd} with maxcon=${maxcon} - EPG on port ${epgport}"
./getstream -a ${selcrd} \
	-f dvbrc-dvb-s-astra \
	-l ${maxcon} \
	-d 99 \
	-p -18:${myip}:${epgport} \
	-p -20:${myip}:${timport} \
	-p 10050:${myip}:2000
